init

## Class LearningProvider

- java.lang.Object
- - init.LearningProvider

All Implemented Interfaces:
  java.lang.Runnable

    public class LearningProvider
    extends java.lang.Object
    implements java.lang.Runnable

The Class LearningProvider.

### Constructor Summary

Constructors
Constructor and Description
`LearningProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.concurrent.FutureTask<java.lang.Double>` `lazyRequest(java.util.HashMap<java.lang.String,java.lang.Double> actions)` Lazy request.
`void` `learnRequest(java.util.HashMap<java.lang.String,java.lang.Double> actions)` Learn request.
`double` `resultRequest(java.util.HashMap<java.lang.String,java.lang.Double> actions)` Result request.
`void` `run()`
`void` `setAMOEBA(AMOEBA amoeba)` Sets the amoeba.
`void` `setBufferization(boolean bufferization)` Sets the bufferization.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LearningProvider

    public LearningProvider()

### Method Detail

#### setAMOEBA

    public void setAMOEBA(AMOEBA amoeba)

Sets the amoeba.

Parameters:
  `amoeba` - the new amoeba

#### setBufferization

    public void setBufferization(boolean bufferization)

Sets the bufferization.

Parameters:
  `bufferization` - the new bufferization

#### learnRequest

    public void learnRequest(java.util.HashMap<java.lang.String,java.lang.Double> actions)

Learn request.

Parameters:
  `actions` - the actions

#### resultRequest

    public double resultRequest(java.util.HashMap<java.lang.String,java.lang.Double> actions)

Result request.

Parameters:
  `actions` - the actions
Returns:
  the double

#### lazyRequest

    public java.util.concurrent.FutureTask<java.lang.Double> lazyRequest(java.util.HashMap<java.lang.String,java.lang.Double> actions)

Lazy request.

Parameters:
  `actions` - the actions
Returns:
  the future task

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`